This key is utilized to ensure exactly-once execution of mutating requests. If the same key is reused, it will be treated as the same request and the original response will be returned.
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"OpenXSwitch | Docs","description":"OpenXSwitch is building an infrastructure that abstracts wallets, gas, liquidity, and blockchain complexity into programmable financial primitives that developers and businesses can integrate globally.\nOpenXSwitch is the most affordable, and robust platform to work with digital assets \u0026 stablecoins across Africa.","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/openxswitch/ML35RDblT1Ol-zJb/images/LightBlog(1).png?fit=max\u0026auto=format\u0026n=ML35RDblT1Ol-zJb\u0026q=85\u0026s=062e79ad9c4540929eec204aff020178","dark":"https://mintcdn.com/openxswitch/ML35RDblT1Ol-zJb/images/DarkBlog(1).png?fit=max\u0026auto=format\u0026n=ML35RDblT1Ol-zJb\u0026q=85\u0026s=f6328956931c9664a2a070c2edb6e9b3","href":"/"},"favicon":{"light":"https://mintcdn.com/openxswitch/ML35RDblT1Ol-zJb/images/LinkedinX.png?fit=max\u0026auto=format\u0026n=ML35RDblT1Ol-zJb\u0026q=85\u0026s=a03db0ff0a3f9f5f6696217533a86549","dark":"https://mintcdn.com/openxswitch/ML35RDblT1Ol-zJb/images/LinkedinX.png?fit=max\u0026auto=format\u0026n=ML35RDblT1Ol-zJb\u0026q=85\u0026s=a03db0ff0a3f9f5f6696217533a86549"},"appearance":{"default":"system"},"navbar":{"links":[{"href":"mailto:support@openxswitch.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://console.openxswitch.com"}},"footer":{"socials":{"x":"https://x.com/OpenXSwitch","linkedin":"https://linkedin.com/company/OpenXSwitch"}},"seo":{"metatags":{"title":"OpenXSwitch Docs","keyword":"OpenXSwitch, Wallet as a service, Smart Account, Crypto as a service, Wallet infrastructure, Sablecoin Orchestration, Stablecoin Infrastructure"},"indexing":"all"},"styling":{"eyebrows":"section","latex":false},"contextual":{"options":["chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"interaction":{"drilldown":false},"markdown":{"schema":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"openxswitch","hasAudioNarration":false,"actualSubdomain":"openxswitch","customDomains":["docs.openxswitch.com"],"gitSource":{"type":"github","owner":"openxswitch","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae9e13cb0f3e6b97b89d5b9","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"Wallet as a Service - API Reference - v1","count":70},{"language":"default","tag":"API Reference","count":41},{"language":"default","tag":"Wallet as a Service","count":34},{"language":"default","tag":"Introduction","count":24},{"language":"default","tag":"Sandbox","count":20},{"language":"default","tag":"Transactions","count":20},{"language":"default","tag":"Sub Wallet Endpoints","count":17},{"language":"default","tag":"Swaps","count":14},{"language":"default","tag":"Users","count":14},{"language":"default","tag":"Wallet Management","count":13}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"privacy":{"consentBanner":{"enabled":true}},"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/transactions/create-batch-transfer-transaction","slug":"/api-reference/transactions/create-batch-transfer-transaction","pageMetadata":{"title":"Create Batch Transfer Transaction","description":"Create a new Batch Transfer Transaction \u003cp> Example: \u003c/p>\u003cp> When calling the endpoint with amount = 10 USDC, the receiver receives 10 USDC, and the balance decreases by 10 USDC + `fee`. \u003c/p>","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json post /v2/transactions/withdraw/batch","href":"/api-reference/transactions/create-batch-transfer-transaction","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Create a new Batch Transfer Transaction \", _jsx(\"p\", {\n children: \" Example: \"\n }), _jsxs(\"p\", {\n children: [\" When calling the endpoint with amount = 10 USDC, the receiver receives 10 USDC, and the balance decreases by 10 USDC + \", _jsx(_components.code, {\n children: \"fee\"\n }), \". \"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Batch Transfer Transaction","description":"Create a new Batch Transfer Transaction \u003cp> Example: \u003c/p>\u003cp> When calling the endpoint with amount = 10 USDC, the receiver receives 10 USDC, and the balance decreases by 10 USDC + `fee`. \u003c/p>","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json post /v2/transactions/withdraw/batch","href":"/api-reference/transactions/create-batch-transfer-transaction","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Create a new Batch Transfer Transaction \u003cp> Example: \u003c/p>\u003cp> When calling the endpoint with amount = 10 USDC, the receiver receives 10 USDC, and the balance decreases by 10 USDC + `fee`. \u003c/p>","operationId":"SmartAccountTransactionController_createGaslessBatchTransaction","parameters":[],"requestBody":"686fa6f6-1257-4b3c-9902-3c7a8b758d01","responses":{"200":"c7a18bfe-32c2-4534-9a41-6d3928bf2405","400":"922fc3c1-e605-4a2a-88ed-c51b7bad2a9c","404":"66c89c4c-f0bc-4e20-ae9f-122efd247dc3","422":"5b3e18c3-1eb6-4ffe-89dc-5501458cc18e","500":"617f788a-2fe7-45da-93ed-7aa885c90ab3"},"summary":"Create Batch Transfer Transaction","tags":["Transactions"],"method":"post","type":"path","servers":["11375b47-6e36-4850-9331-64e21805781f"],"security":["ad415fb0-ab38-4f20-b73f-97592c2c890a"],"path":"/v2/transactions/withdraw/batch","baseUrlOptions":["https://api.openxswitch.com"],"title":"Create Batch Transfer Transaction","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"idempotencyKey":{"type":"string","description":"This key is utilized to ensure exactly-once execution of mutating requests. If the same key is reused, it will be treated as the same request and the original response will be returned.","example":"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4","isRequired":true,"uniqueKey":"idempotencyKey","typeLabel":"string"},"walletId":{"type":"string","description":"The unique identifier of the sender wallet","example":"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4","isRequired":true,"uniqueKey":"walletId","typeLabel":"string"},"token":{"type":"string","description":"The token `symbol` (e.g., USDT, USDC, ETH). \u003cp>Refer to the [Get Supported Tokens](https://docs.openxswitch.com/api-reference/chains-\u0026-tokens/get-supported-chains) endpoint for the list of supported tokens.\u003c/p>","example":"USDT","isRequired":true,"uniqueKey":"token","typeLabel":"string"},"blockchain":{"type":"string","description":"The chain. Can be either the blockchain `name` or `slug`. \u003cp>Refer to the [Get Supported Blockchains](https://docs.openxswitch.com/api-reference/chains-\u0026-tokens/get-supported-chains) endpoint for the list of supported blockchains.\u003c/p>","example":"ethereum","isRequired":true,"uniqueKey":"blockchain","typeLabel":"string"},"to":{"description":"The array of recipients and amounts for the batch transaction","example":[{"address":"0x1234567890123456789012345678901234567890","amount":"0.5"}],"type":"array","items":{"type":"object","properties":{"amount":{"type":"string","description":"The transaction amount in token units","example":"0.5","isRequired":true,"uniqueKey":"to.items.[INDEX].amount","typeLabel":"string"},"address":{"type":"string","description":"The destination wallet address","example":"0x1234567890123456789012345678901234567890","isRequired":true,"uniqueKey":"to.items.[INDEX].address","typeLabel":"string"}},"required":["amount","address"],"uniqueKey":"to.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"to","typeLabel":"object[]"},"refId":{"type":"string","description":"The external reference ID to uniquely identify the transaction","example":"txn_ref_123","uniqueKey":"refId","typeLabel":"string"},"note":{"type":"string","description":"An optional note or description for the transaction","example":"This is a test transaction","uniqueKey":"note","typeLabel":"string"},"metadata":{"type":"object","description":"Additional metadata associated with the transaction","example":{"employeeId":"EMP001"},"uniqueKey":"metadata","typeLabel":"object"},"queue":{"type":"boolean","description":"Whether to queue the transaction","example":false,"uniqueKey":"queue","typeLabel":"boolean"}},"required":["idempotencyKey","walletId","token","blockchain","to"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"idempotencyKey":"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4","walletId":"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4","token":"USDT","blockchain":"ethereum","to":[{"address":"0x1234567890123456789012345678901234567890","amount":"0.5"}],"refId":"txn_ref_123","note":"This is a test transaction","metadata":{"employeeId":"EMP001"},"queue":false}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"c7a18bfe-32c2-4534-9a41-6d3928bf2405":{"description":"","content":{"application/json":{"schema":{"type":"object","required":["success","data"],"properties":{"success":{"type":"boolean","example":true,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"data":{"type":"object","required":["id","refId","idempotencyKey","tokenName","tokenSymbol","tokenTicker","tokenAddress","decimals","isNative","amount","totalAmount","chainDecimals","blockchain","protocol","environment","network","standard","txType","txSubType","status","fromAddress","toAddress","txHash","totalFee","feeLevel","feeToken","isBatch","note","triggerOrigin","transactionGroupId","confirmation","confirmed","confirmedAt","userId","walletId","accountId","workspaceId"],"properties":{"id":{"type":"string","description":"The unique identifier of the transaction","example":"TRANSACTION_ID","isRequired":true,"uniqueKey":"data.id","typeLabel":"string"},"refId":{"type":"string","description":"The external reference ID of the transaction","example":"REF_ID","isRequired":true,"uniqueKey":"data.refId","typeLabel":"string"},"idempotencyKey":{"type":"string","description":"This key is utilized to ensure exactly-once execution of mutating requests. If the same key is reused, it will be treated as the same request and the original response will be returned.","example":"IDEMPOTENCY_KEY","isRequired":true,"uniqueKey":"data.idempotencyKey","typeLabel":"string"},"tokenName":{"type":"string","description":"The name of the token","example":"Bitcoin","isRequired":true,"uniqueKey":"data.tokenName","typeLabel":"string"},"tokenSymbol":{"type":"string","description":"The symbol of the token","example":"BTC","isRequired":true,"uniqueKey":"data.tokenSymbol","typeLabel":"string"},"tokenTicker":{"type":"string","description":"The ticker symbol of the token","example":"BTC","isRequired":true,"uniqueKey":"data.tokenTicker","typeLabel":"string"},"tokenAddress":{"type":"string","description":"The contract address of the token","example":"0x1234567890123456789012345678901234567890","isRequired":true,"uniqueKey":"data.tokenAddress","typeLabel":"string"},"decimals":{"type":"number","description":"The number of decimal places for the token","example":18,"isRequired":true,"uniqueKey":"data.decimals","typeLabel":"number"},"isNative":{"type":"boolean","description":"Flag indicating whether the token is native","example":true,"isRequired":true,"uniqueKey":"data.isNative","typeLabel":"boolean"},"amount":{"type":"object","description":"The transaction amount details","required":["formatted","raw"],"properties":{"formatted":{"type":"string","description":"The formatted balance value","example":"479000.10","isRequired":true,"uniqueKey":"data.amount.formatted","typeLabel":"string"},"raw":{"type":"string","description":"The raw balance value (in base units)","example":"47900010","isRequired":true,"uniqueKey":"data.amount.raw","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.amount","typeLabel":"object"},"totalAmount":{"type":"object","description":"The total transaction amount details (including fees)","required":["formatted","raw"],"properties":{"formatted":{"type":"string","description":"The formatted balance value","example":"479000.10","isRequired":true,"uniqueKey":"data.totalAmount.formatted","typeLabel":"string"},"raw":{"type":"string","description":"The raw balance value (in base units)","example":"47900010","isRequired":true,"uniqueKey":"data.totalAmount.raw","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.totalAmount","typeLabel":"object"},"chainDecimals":{"type":"number","description":"The number of decimal places for the blockchain native currency","example":18,"isRequired":true,"uniqueKey":"data.chainDecimals","typeLabel":"number"},"blockchain":{"type":"string","description":"The chain. Can be either the blockchain `name` or `slug`. \u003cp>Refer to the [Get Supported Blockchains](https://docs.openxswitch.com/api-reference/chains-\u0026-tokens/get-supported-chains) endpoint for the list of supported blockchains.\u003c/p>","example":"ethereum","isRequired":true,"uniqueKey":"data.blockchain","typeLabel":"string"},"protocol":{"type":"string","description":"The network protocol","example":"EVM","isRequired":true,"uniqueKey":"data.protocol","typeLabel":"string"},"environment":{"type":"string","description":"The network environment (e.g., mainnet, testnet)","example":"mainnet","isRequired":true,"uniqueKey":"data.environment","typeLabel":"string"},"network":{"type":"string","description":"The network name","example":"ethereum","isRequired":true,"uniqueKey":"data.network","typeLabel":"string"},"standard":{"type":"string","description":"The token standard","example":"ERC20","isRequired":true,"uniqueKey":"data.standard","typeLabel":"string"},"txType":{"type":"string","description":"The type of transaction (e.g., incoming, outgoing)","example":"incoming","isRequired":true,"uniqueKey":"data.txType","typeLabel":"string"},"txSubType":{"type":"string","description":"The subtype of transaction","example":"DEPOSIT","isRequired":true,"uniqueKey":"data.txSubType","typeLabel":"string"},"status":{"type":"string","description":"The status of the transaction","example":"pending","isRequired":true,"uniqueKey":"data.status","typeLabel":"string"},"fromAddress":{"type":"string","description":"The sender address","example":"0x1234567890123456789012345678901234567890","isRequired":true,"uniqueKey":"data.fromAddress","typeLabel":"string"},"toAddress":{"type":"string","description":"The recipient address","example":"0x1234567890123456789012345678901234567890","isRequired":true,"uniqueKey":"data.toAddress","typeLabel":"string"},"txHash":{"type":"string","description":"The transaction hash on the blockchain","example":"0x1234567890123456789012345678901234567890","isRequired":true,"uniqueKey":"data.txHash","typeLabel":"string"},"totalFee":{"type":"object","description":"The total transaction fee details","required":["formatted","raw"],"properties":{"formatted":{"type":"string","description":"The formatted balance value","example":"479000.10","isRequired":true,"uniqueKey":"data.totalFee.formatted","typeLabel":"string"},"raw":{"type":"string","description":"The raw balance value (in base units)","example":"47900010","isRequired":true,"uniqueKey":"data.totalFee.raw","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.totalFee","typeLabel":"object"},"feeLevel":{"type":"string","description":"The gas fee priority level","example":"normal","isRequired":true,"uniqueKey":"data.feeLevel","typeLabel":"string"},"feeToken":{"type":"string","description":"The token symbol used for paying fees","example":"ETH","isRequired":true,"uniqueKey":"data.feeToken","typeLabel":"string"},"isBatch":{"type":"boolean","description":"Flag indicating whether this is a batch transaction","example":false,"isRequired":true,"uniqueKey":"data.isBatch","typeLabel":"boolean"},"note":{"type":"string","description":"An optional note for the transaction","example":"Note","isRequired":true,"uniqueKey":"data.note","typeLabel":"string"},"triggerOrigin":{"type":"string","description":"The origin that triggered the transaction","example":"TRIGGER_ORIGIN","isRequired":true,"uniqueKey":"data.triggerOrigin","typeLabel":"string"},"transactionGroupId":{"type":"string","description":"The unique identifier of the transaction group","example":"TRANSACTION_GROUP_ID","isRequired":true,"uniqueKey":"data.transactionGroupId","typeLabel":"string"},"confirmation":{"type":"number","description":"The number of block confirmations","example":1,"isRequired":true,"uniqueKey":"data.confirmation","typeLabel":"number"},"confirmed":{"type":"boolean","description":"Flag indicating whether the transaction is confirmed","example":true,"isRequired":true,"uniqueKey":"data.confirmed","typeLabel":"boolean"},"confirmedAt":{"format":"date-time","type":"string","description":"The timestamp when the transaction was confirmed","example":"2022-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"data.confirmedAt","typeLabel":"string\u003cdate-time>"},"userId":{"type":"object","description":"The unique identifier of the end user","example":"USER_ID","properties":{},"isRequired":true,"uniqueKey":"data.userId","typeLabel":"object"},"walletId":{"type":"object","description":"The unique identifier of the wallet","example":"WALLET_ID","properties":{},"isRequired":true,"uniqueKey":"data.walletId","typeLabel":"object"},"accountId":{"type":"object","description":"The unique identifier of the Account","example":"ACCOUNT_ID","properties":{},"isRequired":true,"uniqueKey":"data.accountId","typeLabel":"object"},"workspaceId":{"type":"string","description":"The unique identifier of the workspace","example":"WORKSPACE_ID","isRequired":true,"uniqueKey":"data.workspaceId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":true,"data":{"id":"TRANSACTION_ID","refId":"REF_ID","idempotencyKey":"IDEMPOTENCY_KEY","tokenName":"Bitcoin","tokenSymbol":"BTC","tokenTicker":"BTC","tokenAddress":"0x1234567890123456789012345678901234567890","decimals":18,"isNative":true,"amount":{"formatted":"479000.10","raw":"47900010"},"totalAmount":{"formatted":"479000.10","raw":"47900010"},"chainDecimals":18,"blockchain":"ethereum","protocol":"EVM","environment":"mainnet","network":"ethereum","standard":"ERC20","txType":"incoming","txSubType":"DEPOSIT","status":"pending","fromAddress":"0x1234567890123456789012345678901234567890","toAddress":"0x1234567890123456789012345678901234567890","txHash":"0x1234567890123456789012345678901234567890","totalFee":{"formatted":"479000.10","raw":"47900010"},"feeLevel":"normal","feeToken":"ETH","isBatch":false,"note":"Note","triggerOrigin":"TRIGGER_ORIGIN","transactionGroupId":"TRANSACTION_GROUP_ID","confirmation":1,"confirmed":true,"confirmedAt":"2022-01-01T00:00:00.000Z","userId":"USER_ID","walletId":"WALLET_ID","accountId":"ACCOUNT_ID","workspaceId":"WORKSPACE_ID"}}}},"exampleType":"generated"}},"exampleType":"generated"},"922fc3c1-e605-4a2a-88ed-c51b7bad2a9c":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","example":400,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"path":{"type":"string","example":"/v1/...","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"timestamp":{"type":"string","example":"2025-03-13T12:34:56.789Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"message":{"type":"string","example":"......","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["statusCode","path","timestamp","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":400,"path":"/v1/...","timestamp":"2025-03-13T12:34:56.789Z","message":"......"}}},"exampleType":"generated"}},"exampleType":"generated"},"66c89c4c-f0bc-4e20-ae9f-122efd247dc3":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"path":{"type":"string","example":"/v1/...","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"timestamp":{"type":"string","example":"2025-03-13T12:34:56.789Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"message":{"type":"string","example":"Cannot GET /v1/...","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["statusCode","path","timestamp","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"path":"/v1/...","timestamp":"2025-03-13T12:34:56.789Z","message":"Cannot GET /v1/..."}}},"exampleType":"generated"}},"exampleType":"generated"},"5b3e18c3-1eb6-4ffe-89dc-5501458cc18e":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","example":422,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"path":{"type":"string","example":"/v1/...","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"timestamp":{"type":"string","example":"2025-03-13T12:34:56.789Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"message":{"example":["param is required"],"type":"array","items":{"type":"string","uniqueKey":"message.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"message","typeLabel":"string[]"}},"required":["statusCode","path","timestamp","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":422,"path":"/v1/...","timestamp":"2025-03-13T12:34:56.789Z","message":["param is required"]}}},"exampleType":"generated"}},"exampleType":"generated"},"617f788a-2fe7-45da-93ed-7aa885c90ab3":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","example":500,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"path":{"type":"string","example":"/v1/...","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"timestamp":{"type":"string","example":"2025-03-13T12:34:56.789Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"message":{"type":"string","example":"......","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["statusCode","path","timestamp","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":500,"path":"/v1/...","timestamp":"2025-03-13T12:34:56.789Z","message":"......"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"ad415fb0-ab38-4f20-b73f-97592c2c890a":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[]}}},"servers":{"11375b47-6e36-4850-9331-64e21805781f":{"url":"https://api.openxswitch.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json"},"subdomain":"openxswitch","siteName":"OpenXSwitch | Docs","title":"Create Batch Transfer Transaction - OpenXSwitch | Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-08T11:23:48.248Z","originalFileLocation":"api-reference/transactions/create-batch-transfer-transaction.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a new Batch Transfer Transaction Example: When calling the endpoint with amount = 10 USDC, the receiver receives 10 USDC, and the balance decreases by 10 USDC + fee.\">\u003cmeta data-mint-head name=\"application-name\" content=\"OpenXSwitch | Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Batch Transfer Transaction - OpenXSwitch | Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a new Batch Transfer Transaction Example: When calling the endpoint with amount = 10 USDC, the receiver receives 10 USDC, and the balance decreases by 10 USDC + fee.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"OpenXSwitch | Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://openxswitch.mintlify.site/_mintlify/api/og/v2?division=Transactions\u0026amp;title=Create+Batch+Transfer+Transaction\u0026amp;description=Create+a+new+Batch+Transfer+Transaction+%3Cp%3E+Example%3A+%3C%2Fp%3E%3Cp%3E+When+calling+the+endpoint+with+amount+%3D+10+USDC%2C+the+receiver+receives+10+USDC%2C+and+the+balance+dec\u0026amp;theme=aa99d25cde61c886a91e18aa\u0026amp;signature=39ef7c9221eb50203224298dd37224ff0d8798b08f752ed471d6df524bddb926\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Batch Transfer Transaction - OpenXSwitch | Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a new Batch Transfer Transaction Example: When calling the endpoint with amount = 10 USDC, the receiver receives 10 USDC, and the balance decreases by 10 USDC + fee.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://openxswitch.mintlify.site/_mintlify/api/og/v2?division=Transactions\u0026amp;title=Create+Batch+Transfer+Transaction\u0026amp;description=Create+a+new+Batch+Transfer+Transaction+%3Cp%3E+Example%3A+%3C%2Fp%3E%3Cp%3E+When+calling+the+endpoint+with+amount+%3D+10+USDC%2C+the+receiver+receives+10+USDC%2C+and+the+balance+dec\u0026amp;theme=aa99d25cde61c886a91e18aa\u0026amp;signature=39ef7c9221eb50203224298dd37224ff0d8798b08f752ed471d6df524bddb926\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/openxswitch/2ZoZSJURTKn_wXeo/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"OpenXSwitch | Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003cmeta data-mint-head name=\"keyword\" content=\"OpenXSwitch, Wallet as a service, Smart Account, Crypto as a service, Wallet infrastructure, Sablecoin Orchestration, Stablecoin Infrastructure\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/transactions/create-batch-transfer-transaction.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.openxswitch.com/#organization\",\"name\":\"OpenXSwitch | Docs\",\"url\":\"https://docs.openxswitch.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/openxswitch/ML35RDblT1Ol-zJb/images/LightBlog(1).png?fit=max\u0026auto=format\u0026n=ML35RDblT1Ol-zJb\u0026q=85\u0026s=062e79ad9c4540929eec204aff020178\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.openxswitch.com#website\",\"name\":\"OpenXSwitch | Docs\",\"url\":\"https://docs.openxswitch.com\",\"publisher\":{\"@id\":\"https://docs.openxswitch.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction#webpage\",\"url\":\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction\",\"name\":\"Create Batch Transfer Transaction\",\"description\":\"Create a new Batch Transfer Transaction Example: When calling the endpoint with amount = 10 USDC, the receiver receives 10 USDC, and the balance decreases by 10 USDC + fee.\",\"dateModified\":\"2026-09-08T11:23:48.248Z\",\"isPartOf\":{\"@id\":\"https://docs.openxswitch.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Transactions\",\"item\":\"https://docs.openxswitch.com/api-reference/transactions/create-transfer-transaction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Transactions\",\"item\":\"https://docs.openxswitch.com/api-reference/transactions/create-transfer-transaction\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create Batch Transfer Transaction\",\"item\":\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction#apireference\",\"headline\":\"Create Batch Transfer Transaction\",\"name\":\"Create Batch Transfer Transaction\",\"description\":\"Create a new Batch Transfer Transaction Example: When calling the endpoint with amount = 10 USDC, the receiver receives 10 USDC, and the balance decreases by 10 USDC + fee.\",\"url\":\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction\",\"mainEntityOfPage\":{\"@id\":\"https://docs.openxswitch.com/api-reference/transactions/create-batch-transfer-transaction#webpage\"},\"dateModified\":\"2026-09-08T11:23:48.248Z\",\"publisher\":{\"@id\":\"https://docs.openxswitch.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.openxswitch.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"OpenXSwitch | Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"OpenXSwitch | Docs","nav":{"global":null,"tabs":[{"tab":"Introduction","pages":[{"title":"Introduction","href":"/introduction"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides"}]},{"tab":"API Reference","pages":[{"title":"API Overview","sidebarTitle":"Overview","href":"/api-reference/overview"},{"group":"Wallet Management","pages":[{"group":"Accounts","pages":[{"title":"Get Account","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json get /v2/accounts","href":"/api-reference/accounts/get-account"},{"title":"Create Account","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json post /v2/accounts","href":"/api-reference/accounts/create-account"},{"title":"Update Account","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json patch /v2/accounts","href":"/api-reference/accounts/update-account"},{"title":"List Accounts","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json get /v2/accounts/list","href":"/api-reference/accounts/list-accounts"},{"title":"Get Account Stats","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json get /v2/accounts/stats","href":"/api-reference/accounts/get-account-stats"}]},{"group":"Wallets","pages":[{"title":"Get Wallet","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json get /v2/wallets","href":"/api-reference/wallets/get-wallet"},{"title":"Create Wallet","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json post /v2/wallets","href":"/api-reference/wallets/create-wallet"},{"title":"Update Wallet","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json patch /v2/wallets","href":"/api-reference/wallets/update-wallet"},{"title":"List Wallets","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json get /v2/wallets/list","href":"/api-reference/wallets/list-wallets"},{"title":"Get Wallet Balances","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json get /v2/wallets/balances","href":"/api-reference/wallets/get-wallet-balances"}]},{"group":"Chains \u0026 Tokens","pages":[{"title":"Get Supported Chains","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json get /v2/chains","href":"/api-reference/chains-\u0026-tokens/get-supported-chains"},{"title":"Get Supported Tokens","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json get /v2/chains/tokens","href":"/api-reference/chains-\u0026-tokens/get-supported-tokens"},{"title":"Get Supported Tokens With Chains","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/index.json get /v2/chains/tokens-with-chains","href":"/api-reference/chains-\u0026-tokens/get-supported-tokens-with-chains"}]}]},{"group":"Users","pages":[{"group":"Users","pages":[{"title":"Get User","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/users.json get /v2/users","href":"/api-reference/users/get-user"},{"title":"Create User","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/users.json post /v2/users","href":"/api-reference/users/create-user"},{"title":"Get List of users","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/users.json get /v2/users/list","href":"/api-reference/users/get-list-of-users"},{"title":"Get User Wallets","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/users.json get /v2/users/wallets","href":"/api-reference/users/get-user-wallets"},{"title":"Get User Wallet Balances","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/users.json get /v2/users/balances","href":"/api-reference/users/get-user-wallet-balances"},{"title":"Get User Stats","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/users.json get /v2/users/stats","href":"/api-reference/users/get-user-stats"},{"title":"List User Transactions","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/users.json get /v2/users/transactions","href":"/api-reference/users/list-user-transactions"}]}]},{"group":"Transactions","pages":[{"group":"Transactions","pages":[{"title":"Create Transfer Transaction","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json post /v2/transactions/withdraw","href":"/api-reference/transactions/create-transfer-transaction"},{"title":"Transfer Funds to Settlement Wallet","description":"Transfer funds from the specified wallet to the account’s settlement wallet on-chain. The settlement wallet is automatically determined for the account. The specified amount includes the transaction fee. \u003cp>Example:\u003c/p>\u003cp>When calling the endpoint with \u003ccode>amount = 10 USDC\u003c/code>, the settlement wallet receives \u003ccode>10 USDC - fee\u003c/code>, and the sender wallet balance decreases by \u003ccode>10 USDC\u003c/code>.\u003c/p>","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json post /v2/transactions/transfer/settlement","href":"/api-reference/transactions/transfer-funds-to-settlement-wallet"},{"title":"Create Batch Transfer Transaction","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json post /v2/transactions/withdraw/batch","href":"/api-reference/transactions/create-batch-transfer-transaction"},{"title":"Retry a Transaction","description":"Retries a previously failed transaction. The transaction will be executed using the original transaction details. \u003cp>This endpoint should be used when a transaction fails during queue processing and needs to be processed again.\u003c/p>","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json post /v2/transactions/withdraw/retry","href":"/api-reference/transactions/retry-a-transaction"},{"title":"Validate Address","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json get /v2/transactions/validate-address","href":"/api-reference/transactions/validate-address"},{"title":"Get Transaction","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json get /v2/transactions","href":"/api-reference/transactions/get-transaction"},{"title":"List Transactions","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json get /v2/transactions/list","href":"/api-reference/transactions/list-transactions"},{"title":"Estimate Fee for a Transaction","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json get /v2/transactions/estimate-fee","href":"/api-reference/transactions/estimate-fee-for-a-transaction"},{"title":"Sync Blockchain Transaction","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/new-transactions.json post /v2/transactions/sync","href":"/api-reference/transactions/sync-blockchain-transaction"}]}]},{"group":"Swaps","pages":[{"group":"Swaps","pages":[{"title":"Get Swap Quote","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/swaps.json get /v2/swap/quote","href":"/api-reference/swaps/get-swap-quote"},{"title":"Generate Swap Quote","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/swaps.json post /v2/swap/quote","href":"/api-reference/swaps/generate-swap-quote"},{"title":"Execute Quote","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/swaps.json post /v2/swap/execute","href":"/api-reference/swaps/execute-quote"},{"title":"Submit Missed Deposit","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/swaps.json post /v2/swap/sync-deposit","href":"/api-reference/swaps/submit-missed-deposit"},{"title":"Get Supported Chains","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/swaps.json get /v2/swap/chains","href":"/api-reference/swaps/get-supported-chains"},{"title":"Get Supported Tokens","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/swaps.json get /v2/swap/tokens","href":"/api-reference/swaps/get-supported-tokens"}]},{"group":"Transactions","pages":[{"title":"Get Swap Transaction","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/swaps.json get /v2/swap/transactions","href":"/api-reference/transactions/get-swap-transaction"},{"title":"List Swap Transactions","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/wallet-infra/swaps.json get /v2/swap/transactions/list","href":"/api-reference/transactions/list-swap-transactions"}]}]},{"group":"Compliance","pages":[{"group":"Compliance","pages":[{"title":"Get watchlist item","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/compliance-specs.json get /v1/compliance/watch-list","href":"/api-reference/compliance/get-watchlist-item"},{"title":"Add a blockchain address to the watchlist","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/compliance-specs.json post /v1/compliance/watch-list","href":"/api-reference/compliance/add-a-blockchain-address-to-the-watchlist"},{"title":"Remove an address from the watchlist","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/compliance-specs.json delete /v1/compliance/watch-list","href":"/api-reference/compliance/remove-an-address-from-the-watchlist"},{"title":"Get watchlist list","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/compliance-specs.json get /v1/compliance/watch-list/list","href":"/api-reference/compliance/get-watchlist-list"}]}]},{"group":"Webhooks","pages":[{"group":"Webhook","pages":[{"title":"Resend webhook","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/developer-api-webhook.json post /v1/webhook/resend","href":"/api-reference/webhook/resend-webhook"},{"title":"List webhooks","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/developer-api-webhook.json get /v1/webhook/list","href":"/api-reference/webhook/list-webhooks"},{"title":"Get webhook delivery logs","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/developer-api-webhook.json get /v1/webhook/logs","href":"/api-reference/webhook/get-webhook-delivery-logs"}]}]},{"group":"Misc","pages":[{"group":"Markets","pages":[{"title":"Get Fiat Prices","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/misc-specs.json get /v1/markets/prices","href":"/api-reference/markets/get-fiat-prices"}]},{"group":"Mix","pages":[{"title":"Check addresses validity","deprecated":null,"version":null,"openapi":"https://docs.openxswitch.com/openapi/misc-specs.json post /v1/mix/validate-address","href":"/api-reference/mix/check-addresses-validity"}]}]}]},{"tab":"Wallet as a Service - API Reference - v1","hidden":true,"pages":[{"title":"Wallet as a Service - API Reference - v1","href":"/api-reference-v1/overview"}]},{"tab":"Tools","hidden":true,"pages":[{"title":"Tools","href":"/tools"}]},{"tab":"Changlogs","hidden":true,"pages":[{"title":"Changlogs","href":"/changlog/smart-accounts"}]}]},"basePath":"","title":"Create Batch Transfer Transaction - OpenXSwitch | Docs","buildId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","deploymentId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-5FCzAcfS.js","utils-SLtAG4EZ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-2DZi8ZMu.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D7J3nkzE.js","snippetPresets-D0Alv0AH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BI4qNJ2c.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BD3uyr8j.js","shallow-D8iEBr5z.js","getApiPlaygroundDisplay-CgNP4lzR.js","CodeSnippet-CX-QHuMs.js","CodeSnippets-VlXE-ZUf.js","Page-D9ithiIZ.js","getPastedJson-DYNQkZ1M.js","icon-CzacdwOi.js","MethodPill-2JVqoYKi.js","DuplicateIcon-_xVXs-U8.js","createIcon-BRHrweLo.js","DynamicMarkdown-mQG_iQiE.js","SectionHeading-DMpJzv8f.js","axios-vUo_bRtp.js","Markdown-5FGIym-8.js","clsx-D-TRO5q5.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CdrJecqK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CHlcWBLM.js"]}